This page was not yet optimized for use on mobile devices.
Datastax BoringCrypto Module
Certificate details
| Certificate ID | #4667 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 30.11.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. No assurance of the minimum strength of generated keys. |
| Exceptions |
|
| Description | Software library for Datastax applications that use BoringSSL and other user-space applications which require cryptographic functionality. |
| Tested configurations |
|
| Vendor | DataStax, Inc. http://www.datastax.com |
| Lab | Acumen Security |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, DES, Triple-DES, TDEA, HMAC, HMAC-SHA-384, HMAC-SHA-512, HMAC-SHA-256Asymmetric Algorithms
ECDSA, ECC, DH, Diffie-HellmanHash functions
SHA-1, SHA-224, SHA-384, SHA-512, SHA-256, MD4, MD5Schemes
MAC, Key AgreementProtocols
SSL, TLS, TLS v1.2Randomness
DRBGLibraries
BoringSSLElliptic Curves
P-224, P-256, P-384, P-521, Curve P-256Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCMSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 180-4, FIPS PUB 140-2, SP 800-38A, SP 800-38C, SP 800-38D, SP 800-38F, SP 800-67, SP 800-135, NIST SP 800-133, NIST SP 800-90A, SP 800-90A, NIST SP 800-52, NIST SP 800-38D, NIST SP 800-131A, SP 800-133, RFC 2313, RFC 5288, RFC 5246Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4667,
"dgst": "061a17b4051d9228",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"KAS-SSC#A3514",
"SHS#A3514",
"CVL#A3514",
"#A3514",
"DRBG#A3514",
"ECDSA#A3514",
"AES#A3514",
"KAS#A3514",
"KTS#A3514",
"Triple-DES#A3514",
"RSA#A3514",
"HMAC#A3514"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 39,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 2
},
"ECDSA": {
"ECDSA": 18
}
},
"FF": {
"DH": {
"DH": 7,
"Diffie-Hellman": 6
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 1
},
"CFB": {
"CFB": 4
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 2
},
"GCM": {
"GCM": 4
},
"OFB": {
"OFB": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"BoringSSL": {
"BoringSSL": 2
}
},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 10,
"TLS v1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 4
},
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"Curve P-256": 1,
"P-224": 6,
"P-256": 9,
"P-384": 6,
"P-521": 4
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES-256": 1,
"AES-GCM 21": 1,
"HMAC -SHA-256": 1,
"HMAC- SHA-224": 1,
"HMAC-SHA- 256": 2,
"HMAC-SHA-1": 4,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 4,
"SHA- 256": 1,
"SHA-1": 3,
"SHA-224": 2,
"SHA-256": 2,
"SHA-384": 1,
"SHA-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 4
},
"MD5": {
"MD5": 5
}
},
"SHA": {
"SHA1": {
"SHA-1": 3
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 2,
"SHA-384": 1,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 6
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 5,
"FIPS 140-2": 20,
"FIPS 180-4": 2,
"FIPS 186-4": 3,
"FIPS 197": 2,
"FIPS 198-1": 2,
"FIPS PUB 140-2": 1
},
"NIST": {
"NIST SP 800-131A": 1,
"NIST SP 800-133": 1,
"NIST SP 800-38D": 1,
"NIST SP 800-52": 1,
"NIST SP 800-90A": 1,
"SP 800-133": 1,
"SP 800-135": 3,
"SP 800-38A": 2,
"SP 800-38C": 1,
"SP 800-38D": 2,
"SP 800-38F": 2,
"SP 800-67": 2,
"SP 800-90A": 3
},
"RFC": {
"RFC 2313": 1,
"RFC 5246": 2,
"RFC 5288": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 18,
"AES-256": 1
}
},
"DES": {
"3DES": {
"TDEA": 4,
"Triple-DES": 16
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"HMAC": 7,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KAS-SSC#A3514",
"SHS#A3514",
"CVL#A3514",
"DRBG#A3514",
"ECDSA#A3514",
"AES#A3514",
"KAS#A3514",
"KTS#A3514",
"Triple-DES#A3514",
"RSA#A3514",
"HMAC#A3514"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A3514"
]
},
"policy_metadata": {
"/Author": "Ryan Thomas",
"/CreationDate": "D:20230908154415-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20230908154415-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 490729,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://releases.llvm.org/download.html",
"https://commondatastorage.googleapis.com/chromium-boringssl-fips/boringssl-853ca1ea1168dff08011e5d42d94609cc0ca2e27.tar.xz",
"https://github.com/ninja-build/ninja/releases",
"https://csrc.nist.gov/groups/STM/cmvp/index.html",
"https://golang.org/dl/",
"https://cmake.org/download/",
"mailto:[email protected]"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 25
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "2206ca30377b5541b9fbfc97ac6526f506ac6aefde7b24d483051406b6217ff7",
"source_hash": "fd84c020873ffc1d1956ad170f3f6b775989716fa76eb0b73c5c515c44d9e74b",
"txt_hash": "33081e353e2058debe0f5d062942050148b3dcb72b6ec19228081803e4920fb7"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. No assurance of the minimum strength of generated keys.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/November 2023_111223_0648_signed.pdf",
"date_sunset": null,
"description": "Software library for Datastax applications that use BoringSSL and other user-space applications which require cryptographic functionality.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Datastax BoringCrypto Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "853ca1ea1168dff08011e5d42d94609cc0ca2e27",
"tested_conf": [
"Ubuntu 20.04 on Supermicro SYS-6019U-TN4R4T with Intel\u00ae Xeon\u00ae Platinum 8360 with PAA",
"Ubuntu 20.04 on Supermicro SYS-6019U-TN4R4T with Intel\u00ae Xeon\u00ae Platinum 8360 without PAA (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-11-30",
"lab": "Acumen Security",
"validation_type": "Initial"
}
],
"vendor": "DataStax, Inc.",
"vendor_url": "http://www.datastax.com"
}
}